<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head profile="http://selenium-ide.openqa.org/profiles/test-case">
<meta http-equiv="Content-Type" content="text/html" />
<link rel="selenium.base" href="https://192.168.4.32:20611/" />
<title>AIS controlpanel APP test</title>
</head>
<body>
<table cellpadding="1" cellspacing="1" border="1">
<thead>
<tr><td rowspan="1" colspan="3">AIS controlpanel APP test</td></tr>
</thead><tbody>
<tr>
	<td>open</td>
	<td>/controlpanel</td>
	<td></td>
</tr>
<tr>
	<td>type</td>
	<td>username</td>
	<td>blocket1</td>
</tr>
<tr>
	<td>type</td>
	<td>cpasswd</td>
	<td>blocket</td>
</tr>
<tr>
	<td>clickAndWait</td>
	<td>login</td>
	<td></td>
</tr>
<tr>
	<td>clickAndWait</td>
	<td>link=Misspellings</td>
	<td></td>
</tr>
<!-- Errors in introduced form are tested (empty boxes) -->
<tr>
	<td>clickAndWait</td>
	<td>link=New misspelling case</td>
	<td></td>
</tr>
<tr>
	<td>type</td>
	<td>intended_word</td>
	<td>test</td>
</tr>
<tr>
	<td>clickAndWait</td>
	<td>//input[@value='Save']</td>
	<td></td>
</tr>
<tr>
	<td>verifyTextPresent</td>
	<td>ERROR_AIS_EMPTY_WORDS</td>
	<td></td>
</tr>
<tr>
	<td>verifyValue</td>
	<td>intended_word</td>
	<td></td>
</tr>
<tr>
	<td>type</td>
	<td>misspellings</td>
	<td>test</td>
</tr>
<tr>
	<td>clickAndWait</td>
	<td>//input[@value='Save']</td>
	<td></td>
</tr>
<tr>
	<td>verifyTextPresent</td>
	<td>ERROR_AIS_EMPTY_WORDS</td>
	<td></td>
</tr>
<tr>
	<td>verifyValue</td>
	<td>misspellings</td>
	<td></td>
</tr>
<tr>
	<td>clickAndWait</td>
	<td>//input[@value='Save']</td>
	<td></td>
</tr>
<tr>
	<td>type</td>
	<td>misspellings</td>
	<td> <br></td>
</tr>
<tr>
	<td>verifyTextPresent</td>
	<td>ERROR_AIS_EMPTY_WORDS</td>
	<td></td>
</tr>
<!-- A new test misspelling case is introduced -->
<tr>
	<td>type</td>
	<td>intended_word</td>
	<td>test</td>
</tr>
<tr>
	<td>type</td>
	<td>misspellings</td>
	<td>prova<br /></td>
</tr>
<tr>
	<td>type</td>
	<td>misspellings</td>
	<td>prova<br />teste</td>
</tr>
<tr>
	<td>clickAndWait</td>
	<td>//input[@value='Save']</td>
	<td></td>
</tr>
<tr>
	<td>verifyTextPresent</td>
	<td>Sus modificaciones se activarán una vez que la configuración del administrador las acepte.</td>
	<td></td>
</tr>
<!-- We need bconfd to reload the dynbconf for us -->
<tr>
	<td>pause</td>
	<td>1000</td>
	<td></td>
</tr>
<tr>
	<td>clickAndWait</td>
	<td>link=» A.I.S</td>
	<td></td>
</tr>
<tr>
	<td>clickAndWait</td>
	<td>link=Misspellings</td>
	<td></td>
</tr>
<tr>
	<td>clickAndWait</td>
	<td>link=test</td>
	<td></td>
</tr>
<tr>
	<td>verifyValue</td>
	<td>misspellings</td>
	<td>prova<br />teste</td>
</tr>
<!-- Once introduced correctly, that's modified to other value -->
<tr>
	<td>type</td>
	<td>misspellings</td>
	<td>prova<br /><br /></td>
</tr>
<tr>
	<td>type</td>
	<td>misspellings</td>
	<td>prova<br /><br />prova de fogo</td>
</tr>
<tr>
	<td>clickAndWait</td>
	<td>//input[@value='Save']</td>
	<td></td>
</tr>
<tr>
	<td>verifyTextPresent</td>
	<td>Sus modificaciones se activarán una vez que la configuración del administrador las acepte.</td>
	<td></td>
</tr>
<!-- We need bconfd to reload the dynbconf for us -->
<tr>
	<td>pause</td>
	<td>1000</td>
	<td></td>
</tr>
<tr>
	<td>clickAndWait</td>
	<td>link=» A.I.S</td>
	<td></td>
</tr>
<tr>
	<td>clickAndWait</td>
	<td>link=Misspellings</td>
	<td></td>
</tr>
<tr>
	<td>clickAndWait</td>
	<td>link=test</td>
	<td></td>
</tr>
<tr>
	<td>verifyValue</td>
	<td>misspellings</td>
	<td>prova<br />prova de fogo</td>
</tr>
<!-- Once modified correctly, it's tried to check empty box error -->
<tr>
	<td>type</td>
	<td>misspellings</td>
	<td></td>
</tr>
<tr>
	<td>clickAndWait</td>
	<td>//input[@value='Save']</td>
	<td></td>
</tr>
<tr>
	<td>verifyTextPresent</td>
	<td>ERROR_AIS_EMPTY_WORDS</td>
	<td></td>
</tr>
<tr>
	<td>verifyValue</td>
	<td>misspellings</td>
	<td>prova<br />prova de fogo</td>
</tr>
<tr>
	<td>clickAndWait</td>
	<td>link=Misspellings</td>
	<td></td>
</tr>
<tr>
	<td>verifyElementPresent</td>
	<td>link=test</td>
	<td></td>
</tr>
<tr>
	<td>clickAndWait</td>
	<td>link=test</td>
	<td></td>
</tr>
<tr>
	<td>verifyValue</td>
	<td>misspellings</td>
	<td>prova<br />prova de fogo</td>
</tr>
<!-- Once tested, we test that if cancel javascript confirmation for deleting all continues like before -->
<tr>
	<td>chooseCancelOnNextConfirmation</td>
	<td></td>
	<td></td>
</tr>
<tr>
	<td>click</td>
	<td>link=delete</td>
	<td></td>
</tr>
<tr>
	<td>waitForConfirmation</td>
	<td>Are you sure you want to delete this word and all misspellings related to?</td>
	<td></td>
</tr>
<tr>
	<td>verifyValue</td>
	<td>misspellings</td>
	<td>prova<br />prova de fogo</td>
</tr>
<!-- Once tested this case, deleting of the misspelling is performed -->
<tr>
	<td>chooseOkOnNextConfirmation</td>
	<td></td>
	<td></td>
</tr>
<tr>
	<td>click</td>
	<td>link=delete</td>
	<td></td>
</tr>
<tr>
	<td>assertConfirmation</td>
	<td>Are you sure you want to delete this word and all misspellings related to?</td>
	<td></td>
</tr>
<tr>
	<td>waitForTextPresent</td>
	<td>Sus modificaciones se activarán una vez que la configuración del administrador las acepte.</td>
	<td></td>
</tr>
<!-- We need bconfd to reload the dynbconf for us -->
<tr>
	<td>pause</td>
	<td>1000</td>
	<td></td>
</tr>
<tr>
	<td>clickAndWait</td>
	<td>link=» A.I.S</td>
	<td></td>
</tr>
<tr>
	<td>clickAndWait</td>
	<td>link=Misspellings</td>
	<td></td>
</tr>
<tr>
	<td>verifyElementNotPresent</td>
	<td>link=test</td>
	<td></td>
</tr>
<tr>
	<td>clickAndWait</td>
	<td>link=» Log out</td>
	<td></td>
</tr>
</tbody></table>
</body>
</html>

